import * as rollup from 'rollup';
import { HighlighterOptions } from 'shiki';

declare type mapExtension = Record<string, string>;
declare type SyntaxHighlightOptions = HighlighterOptions & {
    mapExtension?: mapExtension;
};

declare const syntaxHighlight: (options: SyntaxHighlightOptions | undefined) => Pick<rollup.Plugin, "name" | "resolveId"> & {
    load?: ((this: rollup.PluginContext, id: string, options: {
        ssr?: boolean | undefined;
    }) => Promise<rollup.LoadResult>) | undefined;
    enforce?: "pre" | "post" | undefined;
};

export { SyntaxHighlightOptions, syntaxHighlight };
